%Install paths and mex files for 2EBD-HPE
%% Run this script in Matlab command window
%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012

function Install_TEBD

%% Add necessary folders

addpath(strcat(pwd,'/solver'));
addpath(strcat(pwd,'/util/mexfun'));
addpath(strcat(pwd,'/util'));
addpath(strcat(pwd,'/tests'));
addpath(strcat(pwd,'/data/fap'));
addpath(strcat(pwd,'/data/biq/be'));
addpath(strcat(pwd,'/data/biq/bqp'));
addpath(strcat(pwd,'/data/biq/gka'));
addpath(strcat(pwd,'/data/theta'));
addpath(strcat(pwd,'/data/RAND'));
addpath(strcat(pwd,'/data/qapdata'));


savepath;

%%

computer_model = computer;
matlabversion = sscanf(version,'%f');
matlabversion = matlabversion(1);
tmp = version('-release');
matlabrelease = str2num(tmp(1:4));
%%
if strcmp(computer_model,'PCWIN')
    str1 = ['  ''',matlabroot,'\extern\lib\win32\lcc\libmwlapack.lib''  '];
    str2 = ['  ''',matlabroot,'\extern\lib\win32\lcc\libmwblas.lib''  '];
    libstr = [str1,str2];
elseif strcmp(computer_model,'PCWIN64')
    str1 = ['  ''',matlabroot,'\extern\lib\win64\lcc\libmwlapack.lib''  '];
    str2 = ['  ''',matlabroot,'\extern\lib\win64\lcc\libmwblas.lib''  '];
    libstr = [str1,str2];
else
    libstr = '  -lmwlapack -lmwblas  ';
end
mexcmd = 'mex -O  -largeArrayDims  -output ';
%%
if (matlabversion < 7.3)  && (matlabrelease <= 2008)
    error(' 2EBD-HPE works only for MATLAB version 7.4 and above');
end
fsp = filesep;

curdir = pwd;
fprintf(' current directory is:  %s\n',curdir);
%%
%% generate mex files in mexfun
%%
clear fname

src = [curdir,fsp,'util',fsp,'mexfun'];
eval(['cd ','util',fsp,'mexfun']);
fprintf ('\n Now compiling the mexFunctions in:\n');
fprintf (' %s\n',src);
%%
fname = {
%     'mexbwsolve'
%     'mexfwsolve'
    'mexmat'
    'mexsmat'
    'mexsvec'
%     'mextriang'
%     'mexScalarxMatrix';
        }

for k = 1:length(fname)
    cmd([mexcmd,fname{k},'  ',fname{k},'.c  ',libstr]);
end

if strcmp(computer_model,'PCWIN')
    cmd([mexcmd,'mexeig','  ','mexeigwin','.c  ',libstr]);
else
    cmd([mexcmd,'mexeig','  ','mexeig','.c  ',libstr]);
end
fprintf ('\n Compilation of mexFunctions completed.\n');
cd ..
cd ..
%%***********************************************
function cmd(s)

fprintf(' %s\n',s);
eval(s);
%%***********************************************
