%Evaluate the primal and dual objective function using 
%the only the variable in the subdifferential of h_2
%%******************************************************************
%% ops:
%%
%%   obj = TEBD_EvalObj1(prob,x,y)
%%
%%  INPUT:      prob = (struct) problem definition
%%              x    = 1st block variable
%%              u    = 2nd block variable
%%              dh2  = variable in the subdifferential of h_2 
%%
%%  OUTPUT:     obj(1)  = primal objective function
%%              obj(2)  = dual objective function
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013
function obj = TEBD_EvalObj1(prob,x,u,dh2)
obj(1) = prob.trace(prob.C,x);

obj(2) = - prob.trace(u,dh2);
end