%Evaluate the primal and dual objective function using 
%the both variables in the subdifferentials of h_1 and h_2
%%******************************************************************
%% ops:
%%
%%   obj = TEBD_EvalObj2(prob,x,y)
%%
%%  INPUT:      prob = (struct) problem definition
%%              x    = 1st block variable
%%              u    = 2nd block variable
%%              dh2  = variable in the subdifferential of h_2 
%%              dh1  = variable in the subdifferential of h_1
%%
%%  OUTPUT:     obj(1)  = primal objective function
%%              obj(2)  = dual objective function
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013
function obj = TEBD_EvalObj2(prob,x,u,dh2,dh1)
obj(1) = prob.C'*x; 

obj(2) = -u'*dh2 -x'*dh1; 
end