%LegendAppend: Write the short description of the variant of the method 
%%
%%  legendtext = TEBD_LegendAppend( OPTIONS)
%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013
function  legendtext = TEBD_LegendAppend( OPTIONS)

legendtext = '2EBD-v';

vers = OPTIONS.vers;
legendtext = [legendtext,num2str(vers)];
if isfield(OPTIONS,'subvers')
    legendtext = [legendtext,'.',num2str(OPTIONS.subvers)];
end

if isfield(OPTIONS,'tol2')
    legendtext = [legendtext,'-t2(',num2str(OPTIONS.tol2),')'];
end

if isfield(OPTIONS,'adaptive') && OPTIONS.adaptive == 1
    legendtext = [legendtext,' A'];
end
if isfield(OPTIONS,'balancedinit') && OPTIONS.balancedinit ~= 0
    legendtext = [legendtext,' B',num2str(OPTIONS.balancedinit)];
end
if isfield(OPTIONS,'dynamicscaling') && OPTIONS.dynamicscaling == 1
    legendtext = [legendtext,' Dyn(',num2str(OPTIONS.scaleratio), ...
        ',',num2str(OPTIONS.scalecorrection),',', ...
        num2str(OPTIONS.dyn_scale_updateiteration),')'];
end
legendtext = [legendtext,' sig=',num2str(OPTIONS.sigma)];

if isfield(OPTIONS,'reswithgap') && OPTIONS.reswithgap > 0
    legendtext = [legendtext,' GAP',num2str(OPTIONS.reswithgap)];
end

if isfield(OPTIONS,'h1') && OPTIONS.h1 > 0
    legendtext = [legendtext,' h1'];
end

if isfield(OPTIONS,'scalewithgap') && OPTIONS.scalewithgap == 1
    legendtext = [legendtext,' SWGAP'];
end
if isfield(OPTIONS,'SCALE_WITH_NN')
    legendtext = [legendtext,' w',num2str(OPTIONS.SCALE_WITH_NN)];
end


end
