%Print the current iteration: Prints the proggress at the current
% iteration of 2EBD-HPE
%%
%% TEBD_PrintCurrentIterate(par,runhist,iter,theta,lratio,dratio,residuals)
%%
%% input:
%%		- par                : (struct) parameters of the algorithm
%%		- runhist            : (struct) contains the accumulated running history
%%		- iter               : current  iteration
%%		- theta              : value of the dynamic scaling parameter at the current iteration
%%		- residuals           : (struct) contains the specific residuals of the problem at the current iteration 
%%		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function TEBD_PrintCurrentIterate(par,runhist,iter,theta,residuals)
obj = runhist.obj{iter};
if length(obj) > 1
    obj2 = obj(2);
else
    obj2 = 0;
end
fprintf( '%5.0d %8.2f | %+13.5e %+13.5e | %8.3e %8.3e %8.3e %+8.3e | %8.3f %8.1e ', ... 
    iter, runhist.cputime(iter), obj(1),obj2, residuals.resnorm,residuals.pfeas,residuals.dfeas,residuals.gap,par.sigma,theta );



fprintf('\n');
