%Get Binary Integer Quadratic (BIQ) SDP
%%******************************************************************
%% ops:
%%
%%   prob = TEBD_GetBIQ_SDP(prob)
%%
%%  INPUT/OUTPUT:     prob = (struct) problem definition
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function prob = TEBD_GetBIQ_SDP(prob)
if isfield(prob,'file')
    file = prob.file;
else
    file = 'be100.1.sparse';
end
disp(['**** From BIQ file : ',file, '****'])
[Q] = biqread(file);
[blk2,At2,C2,b2] = biq(Q);
[prob.blk,prob.At,prob.C,prob.b] = addpositive(blk2,At2,C2,b2);
prob.n = size(prob.C{1},1);
prob.m = length(prob.b);
prob.X0 = TEBD_ops(prob.C,'zeros');


prob.normb = norm(prob.b);
prob.normC = TEBD_ops(prob.C,'norm');%norm(C)

prob.Z0 = TEBD_ops(prob.C,'zeros');
prob.y0 = zeros(size(prob.b));
