%Get Frequency Assignment Problem (FAP) SDP
%%******************************************************************
%% ops:
%%
%%   prob = TEBD_GetFAP_SDP(prob)
%%
%%  INPUT/OUTPUT:     prob = (struct) problem definition of the SDP
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function prob = TEBD_GetFAP_SDP(prob)
if nargin > 0 &&  isfield(prob,'file')
    file = prob.file;
else
    file = 'fap09';
    prob.file = file;
end
disp(['**** From FAP file : ',file, '****'])
[prob.blk,prob.At,prob.C,prob.b,prob.k] = fapread(file);
prob.n = size(prob.C{1},1);
prob.m = length(prob.b);
prob.X0 = TEBD_ops(prob.C,'zeros');


prob.normb = norm(prob.b);
prob.normC = TEBD_ops(prob.C,'norm');%norm(C)

prob.Z0 = TEBD_ops(prob.C,'zeros');
prob.y0 = zeros(size(prob.b));