%Get \theta-function SDP relaxation for the maximum stable set problem
%%******************************************************************
%% ops:
%%
%%   prob = TEBD_GetTHETA_SDP(prob)
%%
%%  INPUT/OUTPUT:     prob = (struct) problem definition of the SDP
%%                    
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function prob = TEBD_GetTHETA_SDP(prob)
if nargin > 0 &&  isfield(prob,'file')
    file = prob.file;
else
    file = 'theta4.dat-s';
    prob.file = file;
end
if strcmp(file(end-4:end),'dat-s')
    disp(['**** From SDPA file : ',file, '****'])
    [prob.blk,prob.At,prob.C,prob.b] = read_sdpa(file);
elseif strcmp(file(end-2:end),'mat')
    disp(['**** From SeDuMi file : ',file, '****'])
    [prob.blk,prob.At,prob.C,prob.b] = read_sedumi(file);
end
prob.n = size(prob.C{1},1);
prob.m = length(prob.b);
prob.X0 = TEBD_ops(prob.C,'zeros');


prob.normb = norm(prob.b);
prob.normC = TEBD_ops(prob.C,'norm');%norm(C)

prob.Z0 = TEBD_ops(prob.C,'zeros');
prob.y0 = zeros(size(prob.b));

