%Get RANDOM ell_1 minimization problem
%%******************************************************************
%% ops:
%%
%%   problem = TEBD_Get_RAND_ell_1(problem)
%%
%%  INPUT/OUTPUT:     problem = (struct) problem definition
%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 6/15/2012
function problem = TEBD_Get_RAND_ell_1(problem)
disp(['**** From ',problem.format,' params : ',problem.file, '****'])
numbs = textscan(problem.file,'%f',4);
problem.n = double(numbs{1}(1));
problem.m = double(numbs{1}(2));
problem.k = double(numbs{1}(3));
problem.seed = double(numbs{1}(4));
if strcmp(problem.format,'RAND_ell_1_inexact')
    numbs = textscan(problem.file,'%f',5);
    problem.epsilon = double(numbs{1}(5));
end

rand('seed', problem.seed);
randn('seed',problem.seed);
[A,~] = qr(randn(problem.n,problem.m),0);
A  = A';
p  = randperm(problem.n); p = p(1:problem.k);
x_star = zeros(problem.n,1); x_star(p) = randn(problem.k,1);

problem.A = A;
problem.x_star = x_star;
problem.b = A*x_star;


problem.x0 = ones(problem.n,1);
problem.u0 = ones(problem.n,1);

