%Test the SDP relaxation of Frequency assignment Problems (FAPs)
%%
%% Solves various SDP relaxation of FAPs using 2EBD-HPE. 
%% The problems are solved defining the problems as two-easy-block 
%% structured convex optimization problems of the form:
%%
%%                              min f(x)+h_1(x)+h_2(x)
%%
%% results = TEBD_test_FAP
%%
%% [1] R. D.C Monteiro, C. Ortiz and B. F. Svaiter. A first-order
%%     block-decomposition method for solving two-easy-block structured
%%     semidefinite programs, 2012.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013
function results = TEBD_test_FAP(varargin)

[TEBD,params] = TEBD_GetAlgorithm(varargin);
fprintf('\nTest using Matlab 2EBD-HPE function: %s\n\n',func2str(TEBD));

fapinstances = {
              'fap08'
%               'fap09'
              'fap10'
%               'fap11'
%               'fap12'
%               'fap25'
%               'fap36'
			};

maxprobs = length(fapinstances);
results = cell(1,maxprobs);
for prob = 1:maxprobs;
    clear problem
    
    problem.file = fapinstances{prob};
    params = TEBD_GetParams_FAP(params);
    [problem,params] = TEBD_GetProblem_FAP(problem,params);
    
    results{prob} = TEBD(params,problem);
    
    pause(1);
end
end

