%Test the SDP instance from various applications with aggresive choice of
%parameters for 2EBD-HPE.
%%
%% Solves various types of SDP instances using 2EBD-HPE.
%% The problems are solved defining the problems as two-easy-block
%% structured convex optimization problems of the form:
%%
%%                              min f(x)+h_1(x)+h_2(x)
%%
%% results = TEBD_test_SDPs
%%
%% [1] R. D.C Monteiro, C. Ortiz and B. F. Svaiter. A first-order
%%     block-decomposition method for solving two-easy-block structured
%%     semidefinite programs, 2012.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 2EBD-HPE:
%% Modified by C.Ortiz
%% Last Modified: 5/31/2013
function results = TEBD_test_SDPs_2(varargin)

varargin = [varargin,'C'];
[TEBD,params] = TEBD_GetAlgorithm(varargin);
fprintf('\nTest using Matlab 2EBD-HPE function: %s\n\n',func2str(TEBD));

SDPinstances = {
%     'fap08' 'FAP'
%     'be100.9.sparse' 'BIQ'
%     'theta12.dat-s' 'THETA'
%     'hamming-8-3-4.mat' 'THETAPLUS'
%     'hamming-8-3-4.mat' 'THETAPLUS'
%     'tai10a.dat' 'QAP'
%     '300 20000 3 3002030' 'RAND'
%     'theta12.dat-s' 'SDPA'
%     'hamming-8-3-4.mat' 'SeDuMi'
    'rand1.mat' 'SDPT3'
    };

maxprobs = size(SDPinstances,1);
results = cell(1,maxprobs);
for prob = 1:maxprobs;
    clear problem
    
    problem.file = SDPinstances{prob,1};
    problem.format = SDPinstances{prob,2};
    params = TEBD_GetParams_SDP_2(params);
    problem = TEBD_Get_SDP(problem);
    [problem,params] = TEBD_GetProblem_SDP_StandardForm_2(problem,params);
    
    results{prob} = TEBD(params,problem);
    
    pause(1);
    fprintf('\n\n\n');
end
end

